%global pypi_name click

Name:           python-%{pypi_name}
Version:        6.7
Release:        %mkrel 1
Summary:        Simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/click
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
click is a Python package for creating beautiful command line
interfaces in a composable way with as little amount of code as necessary.
It's the "Command Line Interface Creation Kit".  It's highly configurable but
comes with good defaults out of the box.

%package -n     python3-%{pypi_name}
Summary:        Simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
click is a Python3 package for creating beautiful command line
interfaces in a composable way with as little amount of code as necessary.
It's the "Command Line Interface Creation Kit".  It's highly configurable but
comes with good defaults out of the box.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
rm -rf %buildroot
%py2_install
%py3_install

%files
%doc README CHANGES LICENSE 
%{python2_sitelib}/%{pypi_name}-*.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%doc README CHANGES LICENSE 
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Tue Aug 22 2017 bb2 <bb2> - 6.7-1pclos2017
- new
